# This file configures the analyzer, which statically analyzes Dart code to
# check for errors, warnings, and lints.
#
# The issues identified by the analyzer are surfaced in the UI of Dart-enabled
# IDEs (https://dart.dev/tools#ides-and-editors). The analyzer can also be
# invoked from the command line by running `flutter analyze`.

# The following line activates a set of recommended lints for Flutter apps,
# packages, and plugins designed to encourage good coding practices.
include: package:flutter_lints/flutter.yaml
analyzer:
  errors:
    todo: ignore
linter:
  # The lint rules applied to this project can be customized in the
  # section below to disable rules from the `package:flutter_lints/flutter.yaml`
  # included above or to enable additional rules. A list of all available lints
  # and their documentation is published at
  # https://dart-lang.github.io/linter/lints/index.html.
  #
  # Instead of disabling a lint rule for the entire project in the
  # section below, it can also be suppressed for a single line of code
  # or a specific dart file by using the `// ignore: name_of_lint` and
  # `// ignore_for_file: name_of_lint` syntax on the line or in the file
  # producing the lint.
  rules:
    avoid_unnecessary_containers: true
    no_logic_in_create_state: true
    prefer_const_constructors: true
    prefer_const_constructors_in_immutables: true
    prefer_const_declarations: true
    constant_identifier_names: false
    prefer_is_empty: true
    avoid_print: true
    prefer_const_literals_to_create_immutables: true
    sized_box_for_whitespace: true
    sort_child_properties_last: true
    use_full_hex_values_for_flutter_colors: true
    use_key_in_widget_constructors: false
    avoid_empty_else: true
    avoid_dynamic_calls: true
    avoid_unused_constructor_parameters: true
    require_trailing_commas: true
    no_leading_underscores_for_local_identifiers: false
# Additional information about this file can be found at
# https://dart.dev/guides/language/analysis-options
